import request from '@/utils/request'

// 查询运单安检基础信息列表
export function listTCasebaseAwb (query) {
  return request({
    url: '/system/tCasebaseAwb/list',
    method: 'get',
    params: query
  })
}

// 查询运单安检基础信息详细
export function getTCasebaseAwb (id) {
  return request({
    url: '/system/tCasebaseAwb/' + id,
    method: 'get'
  })
}

// 新增运单安检基础信息
export function addTCasebaseAwb (data) {
  return request({
    url: '/system/tCasebaseAwb',
    method: 'post',
    data: data
  })
}

// 修改运单安检基础信息
export function updateTCasebaseAwb (data) {
  return request({
    url: '/system/tCasebaseAwb',
    method: 'put',
    data: data
  })
}

// 删除运单安检基础信息
export function delTCasebaseAwb (id) {
  return request({
    url: '/system/tCasebaseAwb/' + id,
    method: 'delete'
  })
}

// 导出运单安检基础信息
export function exportTCasebaseAwb (query) {
  return request({
    url: '/system/tCasebaseAwb/export',
    method: 'get',
    params: query
  })
}
